Modify Customer Subscriptions Price
curl --request PUT \
--url https://api.ecrypt.com/v1/customers/{Customer}/subscriptions/{Subscription} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"amount": {
"total": 499999999.995,
"tax": 499999999.995,
"surcharge": 499999999.995,
"subtotal": 499999999.995
}
}
'import requests
url = "https://api.ecrypt.com/v1/customers/{Customer}/subscriptions/{Subscription}"
payload = { "amount": {
"total": 499999999.995,
"tax": 499999999.995,
"surcharge": 499999999.995,
"subtotal": 499999999.995
} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: {
total: 499999999.995,
tax: 499999999.995,
surcharge: 499999999.995,
subtotal: 499999999.995
}
})
};
fetch('https://api.ecrypt.com/v1/customers/{Customer}/subscriptions/{Subscription}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "000000000000000000000",
"errors": [
{
"type": "<string>",
"message": "<unknown>"
}
]
}Customers Subscription
Modify Customer Subscriptions Price
Update a customer subscription to pause it.
PUT
/
v1
/
customers
/
{Customer}
/
subscriptions
/
{Subscription}
Modify Customer Subscriptions Price
Authorizations
Authorization by x-api-key inside request's header
Path Parameters
Customer is the Ecrypt customer identifier.
Example: 00000000-0000-0000-0000-000000000000
Required string length:
8 - 64Pattern:
^[0-9A-Za-z-]*$Subscription is the Ecrypt Subscription identifier.
Example: 00000000-0000-0000-0000-000000000000
Required string length:
8 - 64Pattern:
^[0-9A-Za-z-]*$Body
application/jsontext/jsonapplication/*+json
Show child attributes
Show child attributes
Response
OK
⌘I